Bug 137314 - [PATCH] net-mgmt/p5-Net-IP Needs a patch for ipcount
Summary: [PATCH] net-mgmt/p5-Net-IP Needs a patch for ipcount
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Doug Barton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-31 20:40 UTC by Doug Barton
Modified: 2009-08-14 21:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton freebsd_committer 2009-07-31 20:40:03 UTC
The ipcount script provided with this module needs a patch.

Fix: Apply the following patch:



PORTNAME=      Net-IP
 PORTVERSION=   1.25
+PORTREVISION= 	1
 CATEGORIES=    net-mgmt perl5 ipv6
 MASTER_SITES=  CPAN
 PKGNAMEPREFIX= p5-
@@ -24,4 +25,9 @@
 post-configure:
        ${PERL} -pi -e 's/-I\S+PERL\S+ //g if m{PERL_DL_NONLAZY}'
${WRKSRC}/Makefile

+post-patch:
+	@${CP} ${WRKSRC}/IP.pm ${WRKSRC}/IP.pm.presed
+	@${SED} -e "1853s#\\s+#\s*#g" ${WRKSRC}/IP.pm.presed > \
+		${WRKSRC}/IP.pm
+
 .include <bsd.port.mk>

-- 

    This .signature sanitized for your protection--QSZB1iWrEJV8lNokL7s60zVIaQrDZUZgNuI00imStGydOtS7
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/net-mgmt/p5-Net-IP/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- Makefile    17 Apr 2008 14:27:51 -0000      1.16
+++ Makefile    31 Jul 2009 18:32:01 -0000
@@ -7,6 +7,7 @@
How-To-Repeat: Without the attached patch ipcount generates the following when using
the -d option:

ipcount -d 24 192.168.0.0/20
Invalid chars in IP 192.168.0.0+255 at /usr/local/bin/ipcount line 83.
Comment 1 Edwin Groothuis freebsd_committer 2009-07-31 20:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2009-08-14 21:12:47 UTC
dougb       2009-08-14 20:12:39 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/p5-Net-IP   Makefile 
  Log:
  Apply a patch to make the ipcount script work.
  
  Without the attached patch ipcount generates the following when using
  the -d option:
  
  ipcount -d 24 192.168.0.0/20
  Invalid chars in IP 192.168.0.0+255 at /usr/local/bin/ipcount line 83.
  
  Take over maintainership of the port since the original mail to lth
  about this issue was back in March and I've had no reply to that mail
  or to the PR.
  
  PR:             ports/137314
  Submitted by:   dougb
  Approved by:    maintainer timeout (2 weeks)
  
  Revision  Changes    Path
  1.17      +7 -1      ports/net-mgmt/p5-Net-IP/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Doug Barton freebsd_committer 2009-08-14 21:13:16 UTC
State Changed
From-To: open->closed


The patch has been committed. 


Comment 4 Doug Barton freebsd_committer 2009-08-14 21:13:16 UTC
Responsible Changed
From-To: lth->dougb


I'll take this one over after maintainer timeout.